Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356243 - Terminus console fonts display garbled
Summary: Terminus console fonts display garbled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 19:34 UTC by Don Swaner
Modified: 2016-09-03 11:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-03 11:23:44 UTC


Attachments (Terms of Use)

Description Don Swaner 2016-07-13 19:34:57 UTC
Description of problem:
In a virtual console, most of the terminus-fonts-console fonts display garbled.

Version-Release number of selected component (if applicable):
kbd-2.0.3-3.fc24.x86_64
terminus-fonts-console-4.40-5.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
1.  Install terminus-fonts-console
2.  Switch to a virtual console: Ctl-Alt-F2
3.  login
4.  setfont ter-124b (try various ter-* fonts)

Actual results:
Initially the whole screen display switches to the new font.  But anything typed afterwards displays garbled.  Sometimes the previously displayed text becomes (semi-)garbled.

Expected results:
Text does not display garbled.

Additional info:
"setfont ter-v32n" does NOT display garbled.  A "setfont" command (without arguments) returns the display to the default font, which displays correctly.

Comment 1 Vitezslav Crhonek 2016-07-26 08:56:00 UTC
Hello,

I'm not able to reproduce the issue. It works fine for me, I can see no garbled text, everything is as expected.

# rpm -q kbd terminus-fonts-console
kbd-2.0.3-3.fc24.x86_64
terminus-fonts-console-4.40-5.fc24.noarch

Could you please check out the output of setfont with verbose flag (-v)? Does it say something unusual?

Do you notice it happening after update of some package or any change in the console settings?

Comment 2 Don Swaner 2016-07-26 11:10:03 UTC
setfont -v output is sometimes garbled on the screen.  However, if I copy the output, and save it to a file, it looks OK, except for a missing NL: ~ $ 

setfont -v ter-124b
Loading 256-char 12x24 font from file /lib/kbd/consolefonts/Loading Unicode mapping table...

~ $ setfont -v ter-v32n
Loading 512-char 16x32 font from file /lib/kbLoading Unicode mapping table...

In above ter-v32n example, note truncated verbose info because of large font.

Sometimes gpm acts funny too - not able to place cursor on current line, but only 2 (or more) lines above.  Sometimes stderr messages show OK, sometimes not.

stty -a output (default8x16 font):
speed 38400 baud; rows 36; columns 90; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; swtch = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R;
werase = ^W; lnext = ^V; discard = ^O; min = 1; time = 0;
-parenb -parodd -cmspar cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
-iuclc -ixany imaxbel iutf8
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke -flusho -extproc

stty -a output (ter-v32n font):
speed 38400 baud; rows 18; columns 45; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; swtch = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R;
werase = ^W; lnext = ^V; discard = ^O; min = 1; time = 0;
-parenb -parodd -cmspar cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
-iuclc -ixany imaxbel iutf8
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke -flusho -extproc

I was not able to highlight the above using gpm, but had to direct output to a file.

I did not notice it happening after any particular update.  It happens when I switch to a console (ctl-alt-F2) and login, not changing any console settings.

~ $ rpm -q kbd terminus-fonts-console
kbd-2.0.3-3.fc24.x86_64
terminus-fonts-console-4.40-5.fc24.noarch

Comment 3 Don Swaner 2016-07-26 15:44:04 UTC
In F23, there isn't any problem - console fonts display as expected.  In F24, stopping gpm.service has no effect on problem.  Running "stty sane", which changes "iutf8" to "-iutf8" has no effect on problem.

Comment 4 Don Swaner 2016-07-27 00:03:33 UTC
Setting FONT="ter-124b" in /etc/vconsole.conf and rebooting results in garbled boot message displays.  Removing gpm and linuxconsoletools has no effect.  Reinstalling terminus-fonts-console had no effect.

Comment 5 Don Swaner 2016-07-27 11:34:45 UTC
Apparently the problem is with the unicode mappings for the fonts.  Most of the fonts with 'psfu' suffix are NOT garbled (though LatGrkCyr-12x22 is an exception).  The following fonts are not garbled: latarcyrheb-sun32, lat4-19, lat0-sun16, lat2-16.  Why the terminus fonts (such as ter-124b) worked on this machine with F23, and do not work with F24 is unknown.

rpm -v --verify kbd-2.0.3-3.fc24.x86_64 reports no problems with installed kbd.

Comment 6 Don Swaner 2016-08-03 14:35:44 UTC
A "reset" command does not fix the problem.

Comment 7 Don Swaner 2016-08-03 14:42:04 UTC
Running "setfont ..." with the F23 ter-124b font (which works in F23), is garbled in F24.

Comment 8 Don Swaner 2016-08-03 15:06:29 UTC
Running "setfont ter-124b", and then entering "showdonsolefont" (which displays as garbled, as it is being entered), will display a matrix of the font, all items of which are garbled.  Then running, for example, a "setfont lat4-19", will switch the entire screen display to the lat4-19 font, and all of the matrix from the previous showconsolefont (while ter-124b was the font), now switches to legible, instead of garbled.

Comment 9 Don Swaner 2016-08-06 17:44:29 UTC
The video mode was not being set properly on my hardware.  Added "video=1280x1024@60" to boot parameters, and now font ter-v32n displays great.  Many of the other fonts are still garbled, but now I've got an excellent working font, so this is no longer an issue with me, even though it is still broken.

Comment 10 Don Swaner 2016-08-07 16:37:51 UTC
For the ter-1*n.psf family of fonts, ter-116n.psf and ter-132n.psf display correctly.  None of the intermediate sized fonts (18, 20, 22, 24, 28) display correctly.

Comment 11 Don Swaner 2016-08-09 08:56:30 UTC
Reinstalling kbd had no effect - same problem persists.

Comment 12 Don Swaner 2016-08-09 15:18:23 UTC
In F23, running kernel 4.5.7-202.fc23.x86_64, setfont ter-124b worked fine.  With kernel 4.6.4-201.fc23.x86_x64, ter-124b no longer worked.  Even with the oldest F24 kernel on my machine (4.6.3-300.fc24.x86_64), ter-124b does not work.

Comment 13 Vitezslav Crhonek 2016-08-31 09:12:39 UTC
Thanks for updates. I'm still not able to reproduce the issue on my machine. It seems to be HW related and introduced by kernel update - I'll add kernel-maint@redhat.com to CC, maybe someone could know more.

Comment 14 Don Swaner 2016-09-03 11:23:44 UTC
With kernel 4.7.2-201.fc24.x86_64 the problem is corrected.


Note You need to log in before you can comment on or make changes to this bug.